Bug 737580 - Review Request: jena-iri - The Jena IRI library
Summary: Review Request: jena-iri - The Jena IRI library
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Roland Grunberg
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-12 15:43 UTC by Tomas Radej
Modified: 2011-09-21 09:14 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-21 07:22:23 UTC
rgrunber: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Tomas Radej 2011-09-12 15:43:59 UTC
Spec URL: http://tradej.fedorapeople.org/jena-iri.spec
SRPM URL: http://tradej.fedorapeople.org/jena-iri-0.8-1.fc15.src.rpm
Description: The Jena IRI Library is an implementation of RFC 3987 (IRI) and
RFC 3986 (URI), and a partial implementation of other related standards. It is incomplete.

Comment 1 Tomas Radej 2011-09-14 10:55:53 UTC
Fixed source and assembly, please get the following version:

Spec URL: http://tradej.fedorapeople.org/jena-iri.spec.2
SRPM URL: http://tradej.fedorapeople.org/jena-iri-0.8-2.fc15.src.rpm

Comment 2 Roland Grunberg 2011-09-15 19:14:11 UTC
Please fix the problems under "issues" :

Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[!]  Rpmlint output: rpmlint fails due to naming convention for the .spec file.
When changed back to jena-iri.spec output is :

jena-iri.spec: W: invalid-url Source0: jena-iri-0.8.tar.xz
0 packages and 1 specfiles checked; 0 errors, 1 warnings.

[X]  Package is named according to the Package Naming Guidelines[1].
[!]  Spec file name must match the base package name, in the format %{name}.spec.
[!]  Package meets the Packaging Guidelines[2].
[X]  Package successfully compiles and builds into binary rpms.
[X]  Buildroot definition is not present
[X]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines[3,4].
[X]  License field in the package spec file matches the actual license.
License type:
[X]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[-]  All independent sub-packages have license of their own
[X]  Spec file is legible and written in American English.
[!]  Sources used to build the package matches the upstream source, as provided in the spec URL.
MD5SUM this package    : ad89c6c60b6c68e3da9742482a4f97ea
MD5SUM upstream package: 8996c8712f8944827efd3fb65b9189bc
[X]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines[5].
[X]  Package must own all directories that it creates.
[X]  Package requires other packages for directories it uses.
[!]  Package does not contain duplicates in %files.
[X]  File sections do not contain %defattr(-,root,root,-) unless changed with good reason
[X]  Permissions on files are set properly.
[X]  Package does NOT have a %clean section which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). (not needed anymore)
[X]  Package consistently uses macros (no %{buildroot} and $RPM_BUILD_ROOT mixing)
[X]  Package contains code, or permissable content.
[-]  Fully versioned dependency in subpackages, if present.
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[X]  Package does not own files or directories owned by other packages.
[X]  Javadoc documentation files are generated and included in -javadoc subpackage
[X]  Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlinks)
[X]  Packages have proper BuildRequires/Requires on jpackage-utils
[X]  Javadoc subpackages have Require: jpackage-utils
[X]  Package uses %global not %define
[X]  If package uses tarball from VCS include comment how to re-create that tarball (svn export URL, git clone URL, ...)
[X]  If source tarball includes bundled jar/class files these need to be removed prior to building
[X]  All filenames in rpm packages must be valid UTF-8.
[X]  Jar files are installed to %{_javadir}/%{name}.jar (see [6] for details)
[-]  If package contains pom.xml files install it (including depmaps) even when building with ant
[X]  pom files has correct add_maven_depmap

=== Maven ===
[X]  Use %{_mavenpomdir} macro for placing pom files instead of %{_datadir}/maven2/poms
[-]  If package uses "-Dmaven.test.skip=true" explain why it was needed in a comment
[-]  If package uses custom depmap "-Dmaven.local.depmap.file=*" explain why it's needed in a comment
[X]  Package DOES NOT use %update_maven_depmap in %post/%postun
[X]  Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-utils for %update_maven_depmap macro

=== Other suggestions ===
[X]  If possible use upstream build method (maven/ant/javac)
[X]  Avoid having BuildRequires on exact NVR unless necessary
[X]  Package has BuildArch: noarch (if possible)
[X]  Latest version is packaged.
[X]  Reviewer should test that the package builds in mock.
Tested on: fedora-rawhide-i386 for mock build and fedora-15 i386 for mvn build

=== Issues ===
1. [!]  Spec file name must match the base package name, in the format %{name}.spec.
I'm assuming the naming was just for reference purposes, but the specfile should be the same name as the original submission.

2. [!]  Package does not contain duplicates in %files.
Some non-license files (Jena-IRI-changes.txt RELEASE_NOTES.txt TODO.txt dependencies.txt) are present in %files for the package and javadoc subpackage. Can they be included just in the main package?

3. The command to build the source should use export rather than checkout as the CVS folders should not be part of the package.

4. [!]  Sources used to build the package matches the upstream source, as provided in the spec URL.
I noticed the sources only varied with respect to files in the CVS folders so this should disppear when 3. is fixed.

Comment 3 Tomas Radej 2011-09-16 07:49:59 UTC
Hi, Roland,

thank you for review.

Ad 1) Of course the spec file is named jena-iri.spec.2 because I wanted to keep the original spec file in case someone wants to check it. The file that goes into repository is named jena-iri.spec. New version is now in a separate directory, so this should not happen again.

Ad 2) Deleted.

Ad 3) Fixed.

Ad 4) Fixed.

New version:

SPEC URL: http://tradej.fedorapeople.org/jena-iri-0.8-3/jena-iri.spec
SRPM URL: http://tradej.fedorapeople.org/jena-iri-0.8-3/jena-iri-0.8-3.fc15.src.rpm

Comment 4 Roland Grunberg 2011-09-16 15:57:29 UTC
=== REQUIRED ITEMS ===
[X] Spec file name must match the base package name, in the format %{name}.spec.
[X] Package meets the Packaging Guidelines[2].
[X] Package does not contain duplicates in %files.
[X] Sources used to build the package matches the upstream source, as provided in the spec URL.

=== Issues ===
# cvs -z3 -d:pserver:anonymous@jena.cvs.sourceforge.net:/cvsroot/jena export -r IRI_0_8 -P iri
cvs failed when using the above command. It seems -P is an invalid option for export. Instead I had to remove the -P flag and it all worked as expected.

Also please update the source tarball using that command. (The current source rpm has the tarball containing CVS folders present)

Everything else looks fine.

Comment 5 Tomas Radej 2011-09-19 12:09:27 UTC
Okay, it should finally be all right now.

SPEC URL: http://tradej.fedorapeople.org/jena-iri-0.8-4/jena-iri.spec
SRPM URL:
http://tradej.fedorapeople.org/jena-iri-0.8-4/jena-iri-0.8-4.fc15.src.rpm

Comment 6 Roland Grunberg 2011-09-19 13:50:47 UTC
Thanks again. Setting as approved.

Comment 7 Tomas Radej 2011-09-20 07:50:37 UTC
I thank you for the review :) .

Comment 8 Gwyn Ciesla 2011-09-20 14:57:39 UTC
Please include an SCM request when setting the fedora-cvs flag.

Comment 9 Tomas Radej 2011-09-20 15:09:40 UTC
Sorry.

New Package SCM Request
=======================
Package Name: jena-iri
Short Description: The Jena IRI Library
Owners: tradej
Branches: f16
InitialCC: akurtakov sochotni

Comment 10 Tomas Radej 2011-09-20 15:17:48 UTC
Correction:

InitialCC: java-sig

Comment 11 Gwyn Ciesla 2011-09-20 15:38:31 UTC
New Package SCM Request
=======================
Package Name: jena-iri
Short Description: The Jena IRI Library
Owners: tradej
Branches: f16
InitialCC: java-sig

Comment 12 Gwyn Ciesla 2011-09-20 15:39:59 UTC
Git done (by process-git-requests).

I re-posted your request with the correction.


Note You need to log in before you can comment on or make changes to this bug.